'Microsoft.AspNetCore.App', version '2.2.0' was not found.

  1. denizarsln
    5
    147
    12.12.2019 11:39:00

    HTTP Error 500.31 - ANCM Failed to Find Native Dependencies

    Common solutions to this issue: The specified version of Microsoft.NetCore.App or Microsoft.AspNetCore.App was not found.

    Specific error detected by ANCM: It was not possible to find any compatible framework version The specified framework 'Microsoft.AspNetCore.App', version '2.2.0' was not found. - The following frameworks were found: 2.1.11

    Visual studio 2019 da yuakrıdaki hatayı alıyorum, projeyi çalıştırınca.

    asp.net-core asp.net-core-mvc .net-core visual-studio 1 yıl önce 1134 Görüntüleme

( 2 ) Cevap

  1. koraydrk
    2
    2719
    12.12.2019 11:53:00

    .Net Core 2.2 nin SDK yi kurulu değil bilgisayarında/sunucunda.

    Aşağıdaki adresten indirip kurarsan sorun dizelir.

    Visual studio da debug ederken alıyorsan bu hatayı, Visual Studio 2017/2019 için olanı indirip kurmalısın.

    https://dotnet.microsoft.com/download/visual-studio-sdks?utm_source=getdotnetsdk&utm_medium=referral

  2. askinglr34
    4
    2919
    12.12.2019 11:57:00

    Visual studio 2019 da projeyi çalıştırdığın zaman, 'Microsoft.AspNetCore.App', Version '2.2.0' Was Not Found. hatasını alıyorsan, aşağıdaki sdk yı kurman yeterli.

    Microsoft-Asp-Net-Core-App-was-not-found

    https://dotnet.microsoft.com/download/visual-studio-sdks?utm_source=getdotnetsdk&utm_medium=referral

Cevabınız